2018-10-15 08:48 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004891Kali Linux[All Projects] Tool Upgradepublic2018-08-22 13:20
Reporterkimocoder 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version2018.2 
Target VersionFixed in Version2018.4 
Summary0004891: rtl8812au new version v5.2.20.2 available
DescriptionIt's time to update the rtl8812au drivers.
Repo: https://github.com/aircrack-ng/rtl8812au/tree/v5.2.20

Whats new since v5.1.5 ?

* Update phydm to improve TP stability
* Support WiFi-HAL for Android 8
* Update PHYDM setting
* Update FW to v52.10
* Correct DFS master function
* Fixed WPA2 vulnerability - key reinstallation attacks(KRACKs)
* Remove test code
* Fix crash for BF function
* Fix wrong memory accesse
* Fix encrypt broadcast packet fail
* Fix crash for TDLS
* Update PHYDM setting
* Support PNO
* Fix WOW issue
* Fix efuse issue
* Sync channel plan document
* Fix DFS issue
* Support NAPI & GRO
* Enable Power by rate
* Fix MP power tracking issue
* Fix potential memory out of range
* Support CE-RED. 2G: ETSI v2.1.1 / 5G: ETSI v2.1.0

And several patches added on top.


Attached Files

-Relationships
has duplicate 0004904closedsbrun Updated driver for rtl8812au 
+Relationships

-Notes

~0009493

sbrun (manager)

new version 5.2.20.2~20180812-0kali1 is now in kali-rolling
+Notes

-Issue History
Date Modified Username Field Change
2018-08-11 22:50 kimocoder New Issue
2018-08-11 22:50 kimocoder Status new => assigned
2018-08-11 22:50 kimocoder Assigned To => sbrun
2018-08-18 13:15 srccsebt Issue cloned: 0004908
2018-08-20 15:17 rhertzog Relationship added has duplicate 0004904
2018-08-22 13:20 sbrun Status assigned => resolved
2018-08-22 13:20 sbrun Resolution open => fixed
2018-08-22 13:20 sbrun Fixed in Version => 2018.4
2018-08-22 13:20 sbrun Note Added: 0009493
+Issue History